### Namespace

# EvinceView – 3.0

Evince is a document viewer for multiple document formats.

Version | 43.1
Authors | Evince Developers
License | GPL-2-or-later
Website | https://wiki.gnome.org/Apps/Evince
Source | https://gitlab.gnome.org/GNOME/evince/

#### Build

C headers | ``
pkg-config files | `evince-view-3.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Pango—1.0 | Text shaping and rendering
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

DocumentModel |
Job |
JobAnnots |
JobAttachments |
JobExport |
JobFind |
JobFonts |
JobLayers |
JobLinks |
JobLoad |
JobLoadFd | A job class to load a `EvDocument` from a file descriptor referring to a regular file. since: 42.0
JobLoadGFile | A job class to load a `EvDocument` from a `GFile`. since: 3.6
JobLoadStream | A job class to load a `EvDocument` from a `GInputStream`. since: 3.6
JobPageData |
JobPrint |
JobRender |
JobSave |
JobThumbnail |
PrintOperation |
View |
ViewPresentation |

#### Enumerations

JobPriority |
JobRunMode |
JobThumbnailFormat |
PageLayout |
SizingMode |

#### Bitfields

JobPageDataFlags |

#### Functions

stock_icons_init | Creates a new icon factory, adding the base stock icons to it.
stock_icons_set_screen |
stock_icons_shutdown |

#### Function Macros

JOB_LOAD_FD |
JOB_LOAD_FD_CLASS |
JOB_LOAD_GFILE |
JOB_LOAD_GFILE_CLASS |

#### Constants

STOCK_ANNOT_SQUIGGLY |
STOCK_ANNOT_TEXT |
STOCK_ATTACHMENT |
STOCK_CLOSE |
STOCK_FIND_UNSUPPORTED |
STOCK_INVERTED_COLORS |
STOCK_OUTLINE |
STOCK_RESIZE_SE |
STOCK_RESIZE_SW |
STOCK_ROTATE_LEFT |
STOCK_ROTATE_RIGHT |
STOCK_RUN_PRESENTATION |
STOCK_SEND_TO |
STOCK_VIEW_CONTINUOUS |
STOCK_VIEW_DUAL |
STOCK_VIEW_SIDEBAR |
STOCK_VISIBLE |
STOCK_ZOOM |
STOCK_ZOOM_PAGE |
STOCK_ZOOM_WIDTH |